nl.topicus.jdbc.statement

## Class ConverterUtils

- java.lang.Object
- - nl.topicus.jdbc.statement.ConverterUtils

    public class ConverterUtils
    extends Object

### Method Summary

All Methods Static Methods Concrete Methods
`static int` `calculateActualBatchSize(int numberOfCols, Connection destination, String catalog, String schema, String table)`
`static int` `getEstimatedRowSizeInCloudSpanner(Connection connection, String catalog, String schemaPattern, String tableNamePattern, String columnNamePattern)`
`static int` `getNumberOfIndices(Connection destination, String catalog, String schema, String table)`
`static List<String>` `getQuotedColumnNames(Connection destination, String catalog, String schema, String table)`
`static int` `getRowSize(Connection destination, String catalog, String schema, String table)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### calculateActualBatchSize

    public static int calculateActualBatchSize(int numberOfCols,
                                               Connection destination,
                                               String catalog,
                                               String schema,
                                               String table)
                                        throws SQLException

Throws:
  `SQLException`

#### getRowSize

    public static int getRowSize(Connection destination,
                                 String catalog,
                                 String schema,
                                 String table)
                          throws SQLException

Throws:
  `SQLException`

#### getNumberOfIndices

    public static int getNumberOfIndices(Connection destination,
                                         String catalog,
                                         String schema,
                                         String table)
                                  throws SQLException

Throws:
  `SQLException`

#### getQuotedColumnNames

    public static List<String> getQuotedColumnNames(Connection destination,
                                                    String catalog,
                                                    String schema,
                                                    String table)
                                             throws SQLException

Throws:
  `SQLException`

#### getEstimatedRowSizeInCloudSpanner

    public static int getEstimatedRowSizeInCloudSpanner(Connection connection,
                                                        String catalog,
                                                        String schemaPattern,
                                                        String tableNamePattern,
                                                        String columnNamePattern)
                                                 throws SQLException

Parameters:
  `connection` - The connection to use to estimate the row size
  `catalog` - The catalog of the table
  `schemaPattern` - The schema of the table
  `tableNamePattern` - The name of the table
  `columnNamePattern` - The name of the column(s) to check
Returns:
  The estimated size in bytes of one row of the specified columns of the specified table
Throws:
  `SQLException` - If a database error occurs while getting the table meta data